%Graficas Factor de Potencia (+) y (-)
f=60;
w=2*pi*f;
t=[0:0.0001:0.05];
Vm=1;
Im=0.8;
alpha=0;
%phi=pi/4;
%phi=0;
phi=-60*pi/180;
theta=alpha-phi;
V=Vm*sin(w*t+alpha);
I=Im*sin(w*t+phi);
P=V.*I;
Pin=Vm*Im*cos(theta)/2*t./t;
%Q=Vm*Im*sin(theta)/2*t./t;
%S=sqrt(Pin.*Pin+Q.*Q);
figure(1)
plot(t,V,t,I,t,P,t,Pin,'LineWidth',2)
legend('V(t)','I(t)','P(t)','P','Q')
axis([0 0.05 -1.3 1.1])
grid on
xlabel('T [s]','FontSize',14)
ylabel('[Volts, Amperes, VA, Watts, Joules]','FontSize',14)
legend boxoff
set(gca,'FontSize',14)
hold on
fill(t,P,'y')
legend('V(t)','I(t)','P(t)','W','E','Location','SE','Orientation','Horizontal')
hold off
set(gca,'FontSize',14)

%h1=figure(1);
%saveas(h1,'fig1.pdf','pdf');


